Page MenuHomePhabricator

Migrate all of production metal and VMs to Buster or later
Open, LowPublic

Description

Top-level epic task to see progress.

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedMoritzMuehlenhoff
OpenNone
OpenNone
Openakosiaris
Resolvedakosiaris
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
OpenNone
OpenDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedBstorm
OpenNone
OpenNone
Resolvedfgiunchedi
ResolvedGilles
Resolvedfgiunchedi
Resolvedjijiki
ResolvedNone
Resolvedjijiki
StalledNone
DuplicateNone
Resolvedelukey
ResolvedMoritzMuehlenhoff
StalledNone
Resolvedelukey
Resolvedelukey
Resolvedjbond
ResolvedDzahn
ResolvedDzahn
InvalidRequestNone
InvalidRequestNone
Openakosiaris
Openakosiaris
Resolvedakosiaris
Resolvedakosiaris
ResolvedMSantos
ResolvedMSantos
StalledNone
OpenNone
ResolvedJdforrester-WMF
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
StalledNone
Resolvedjcrespo
ResolvedDzahn
ResolvedAndrew
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedBawolff
ResolvedAnomie
ResolvedBawolff
ResolvedBawolff
ResolvedLegoktm
ResolvedLucas_Werkmeister_WMDE
ResolvedBawolff
Resolvedsbassett
Resolvedsbassett
ResolvedJdforrester-WMF
Resolvedsbassett
Resolvedsbassett
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
Resolved hashar
Resolved hashar
ResolvedJdforrester-WMF
Resolved hashar
DeclinedMoritzMuehlenhoff
Invalidthcipriani
Resolvedmmodell
Resolved hashar
ResolvedJoe
ResolvedJMeybohm
ResolvedJMeybohm
DuplicateDzahn
DeclinedDzahn
StalledJdforrester-WMF
InvalidJdforrester-WMF
ResolvedMoritzMuehlenhoff
ResolvedKrinkle
ResolvedKrinkle
Resolved hashar
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
DeclinedJdforrester-WMF
DuplicateNone
ResolvedMilimetric
ResolvedMilimetric
ResolvedLadsgroup
OpenMholloway
OpenNone
DuplicateNone
OpenNone
ResolvedMSantos
DuplicateNone
Resolvedjeena
ResolvedJdforrester-WMF
ResolvedJdrewniak
DuplicateNone
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
OpenNone
OpenNone
ResolvedMarostegui
ResolvedMarostegui
ResolvedMarostegui
ResolvedMarostegui
DeclinedMarostegui
ResolvedMarostegui
OpenMarostegui
ResolvedMarostegui
DeclinedMarostegui
ResolvedMarostegui
ResolvedJclark-ctr
ResolvedKormat
OpenKormat
ResolvedMarostegui
ResolvedMarostegui
OpenMarostegui
OpenMarostegui
ResolvedMarostegui
OpenKormat
OpenMarostegui
OpenMoritzMuehlenhoff

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2020, 12:35 AM
Jdforrester-WMF renamed this task from Migrate all of production to Buster or later to Migrate all of production metal to Buster or later.Mar 6 2020, 12:35 AM
akosiaris triaged this task as Low priority.Mar 6 2020, 11:30 AM
Dzahn added a subscriber: Dzahn.Mar 14 2020, 12:08 AM
Dzahn added a comment.Mar 17 2020, 6:12 PM

@Jdforrester-WMF I noticed the "metal" in the ticket title after adding VMs. But i guess i would argue that metal or VM does not matter for the need to upgrade and security.

@Jdforrester-WMF I noticed the "metal" in the ticket title after adding VMs. But i guess i would argue that metal or VM does not matter for the need to upgrade and security.

Yeah, it was mostly from the "SRE need to be involved" side that bare-metal requires but sometimes VMs can be converted in user land (e.g. the CI VM instances). Happy for the task to be used as is most useful for SRE. :-)

Dzahn renamed this task from Migrate all of production metal to Buster or later to Migrate all of production metal and VMs to Buster or later.Apr 7 2020, 9:06 AM